Вопрос печатникам со слабыми компьютерами по слайсерам

Подписаться на 3Dtoday
nogod4me
Идет загрузка
Загрузка
18 Ноября 2017
390
22
печатает на Flyingbear P902
Вопросы и Ответы
Такой трабл, товарищи. Имею старенький ноутбук eMachines E525, восстановленный "из пепла", говна и палок. По максимально проапгрейдил машину б/ушными железяками до такого конфига:
Intel GL40 chipset
Core2Duo T7700 2.4GHz 4Mb Cache
DDR3 RAM 4GB
Intel 4 series express graphic
120GB SSD
Win7 x64

Машинка стала более чем шустрая, с переменным успехом даже ворочает SolidWorks, Cura 15 и топовый Slic3r, а вот с Cura 2.7+ и Simplify (любой) проблема - не запускаются/вылетают при запуске. Одно из требований Cura 2.7+ это поддержка OpenGL 2.1 (минимум), что вроде как имеется. Дальше ступор, драйвера все обновил, всякие директиксы установлены. Общаялся с инженерами Cura, перепробовал все, что они советовали, ничего не помогло, обещали собрать консилиум и найти решение, но чтото молчат.
У кого то был опыт завести свежий слайсер на слабой машине? Может еще какую софтину установить? Или идти в магазин за новым буком?
69781da3a16ceacbcdae6e739fd8b6e3.png
fb7546c19b9ff0eff696df8cfb1a6ba6.png
Ответы на вопрос

Ответы

18 Ноя 07:13
0
Обратите внимание на то, что у всех программ есть версии для х86, те.е 32 бит и х64, если Вы на своей машине случайно или умышленно поставите версию не совпадающую по разрядности с системой, то мы имеем, при попытке запуска, на выходе отказ от запуска, как у Вас моментальный вылет, до зависания винды... Хорошо бы знать поточнее, что у вас под капотом, а это можно сделать с помощью Hwinfo32 (Hwinfo64). Возможно вашей видео карточке не хватает мощи и в этом случае проще купить новую машину...
18 Ноя 07:43
печатает на Flyingbear P902
0
По разрядности я все понимаю, нет лишь обратной совместимости на х86 - х86 работает на х64, но не наоборот. На своей х64 системе я пробовал обе. По системным требованиям компьютер подходит и симплифай, и куре новой, а фактически не работает.
8908f312a3ba6273fdd0aebcb9f72fb1.png
18 Ноя 08:23
печатает на Prusa i4
2
Раз уж все, что советовал разработчик, попробовали и ничего не помогает, то пора брать нубук с блюпупом и фрэшкой :D
18 Ноя 09:20
0
А саму винду давно переставляли? Если да можно попробовать ее переустановить... Возможно Вас ограничивает невнятная видюшка, тогда вариант один...
18 Ноя 14:44
печатает на Flyingbear P902
0
Винда относительно свежая.
18 Ноя 09:45
0
На одной машинке x64 со встроенной интеловской графикой 4000 я столкнулся с тем, что Slic3r PE x64 не работает. Что только не перепробовал... и монитор протирал, и драйверы менял... проблема была именно с OpenGL, а у вас драйверы еще с 2009 лохматого года.

Поставил Slic3r PE x32 - все заработало.
18 Ноя 14:43
печатает на Flyingbear P902
0
Slic3r 1.3 x64 прекрасно работает. Свежее драйвера не ставятся ни виндой, ни принудительно с сайта intel, пишет "не нужны они вам".
18 Ноя 09:46
0
Кстати, а драйвера на все железо стоит? Я про нормальные драйвера, а не про стандартые виндосовские...
18 Ноя 10:29
печатает на Delta-X
3
Если это слабое железо, то я печатаю с калькулятора :D (АМД 1ГГц, ОЗУ 3Г, семёрка 32битная, видюха интегрированная)
18 Ноя 10:36
печатает на Anet A6
3
По спецификации, Интел-графика 4 поколения не поддерживает OpenGL2.1, в среде Windows.
7f49a0f12525eeda0ca19b6aded80209.PNG
, то что у вас стоят дрова на OpenGL2.1, не о чем не говорит, вы так же можете поставить Директ 11, но работать то видюха у вас с ним не будет. Кстати если внимательно смотрели картинку, то Линукс поддерживает OpenGL2.1. Поставьте его.
ПС. Кстати так и непонятно, что у вас за видеокарта. Воспользуйтесь GPU-Z, там кнопочка есть "Lookup", в нее ткните и получите спецификацию вашей видюхи.
18 Ноя 14:41
печатает на Flyingbear P902
0
В OpenGL Extension Viewer рендер-тест с крутящимся кубиком проходит по 2.1 включительно, это в первую очередь мне посоветовали специалисты из Ultimaker.Минимальные требования у cura это opengl 2.1, у simplify3d вообще opengl 1.2+.
a19510ddcf1770cee7f825cffb0284dc.gif
fcd7f591bb9b23524b03285e6b1e9f73.png
18 Ноя 16:20
печатает на Anet A6
0
Внимательно посмотрели картинку? GM45 в Windows, до 2.0. То что вы проходите тест в 2.1, ни о чем не говорит. 2.1 и 2.0 немного различий в наборе инструкции. У вас скорее всего в другом проблема. У меня на нетбуке, на атоме 2012 года выпуска - Simplify 4.0.0 работает, repiter -host последний постоянно слетает, Slic3r последний то же работает. Cura последняя естественно не ставится т.к. 64х, а у меня 32х. Вот сижу и то же гадаю в чем трабл. Для начала снос и переустановка винды. Не устанавливать ни каких программ. Только драйвер и слайсеры, если вылеты, смотрим систем журнал для начала и логи в папках программ. И тогда уже стоит искать причину, отвала прог.
ПС. Забыл, ищем последние дрова на железо ноута, есть подозрение на их косяк.
18 Ноя 12:38
печатает на Prusa i4
1
если что то выжимать из слабой машины - это да, линукс. Но для людей с ним незнакомым, это не вариант.

ПС: сам то я так и так на линуксе.
18 Ноя 14:54
печатает на Delta-X
0
А Вы уверены что дело в OpenGL? После вылета слайсер "говорит" что у Вас OpenGL не тот, или что?..
18 Ноя 15:13
печатает на Flyingbear P902
0
Я уверен что проблема заключается в графике, а вот софтварная или «железная« несовместимость - это загадка. Опенгл это хоть какой то параметр, который указывают в системных требованиях. Логи ошибки товарищам из ультимэйкер ничего не сказали, вообще.
18 Ноя 15:50
печатает на Delta-X
0
Попробуйте хотя бы раз выполнить "Запуск от имени администратора" из контекстного меню (правая кнопка мыши)
18 Ноя 16:58
печатает на Flyingbear P902
0
Пробовал.
18 Ноя 17:28
печатает на Delta-X
0
А не смотрели ошибки после запуска в:
Администрирование - Просмотр событий - Журналы Windows - Приложение
18 Ноя 15:28
печатает на Delta-X
0
У меня OpenBox не запускался одно время, после обновления. Обновлялся и откатывался сразу, года два так. Потом выяснилось случайно, что дело в несовместимости версий библиотек GDI+ (стандартной, и заменяющей её после установки MS Office). Т.е. достаточно было или не устанавливать MS Office или после установки заменить эту библиотеку на ту что в дистрибутиве винды идёт, и всё работает
18 Ноя 16:40
печатает на Flyingbear P902
0
Вот и я грешу на подобную элементарщину.
18 Ноя 17:54
печатает на Flyingbear P902
0
Вряд ли дело в OpenGL т.к. у меня более древняя видяха GMA965 и на ней работает симплифай без проблем как в линуксе так и в винде. Конечно 3д немного глючит и тормозит но работает.
19 Ноя 01:11
0
Таки да, у вас есть отличный шанс поковыряться в Линуксе, как советовали выше. Там на самом деле все не так плохо, как может показаться. Сейчас у меня один нетбук из серии Asus EEE PC, на на нем слайсеры работают нормально: Кура и Слик для линукса есть. Насчет остального надо уточнять. Система у меня Lubuntu - облегченная версия Ubuntu. Работает побыстрее, чем под виндой, которая остается второй системой. Марлин компилится тоже заметно быстрее. Но, соответственно, не все виндовые проги найдутся переделанные под Линукс.

Для написания комментариев, пожалуйста, авторизуйтесь.